#!/bin/bash
#BBTools version 38.90
#The steps below recapitulate the output of RQCFilter2 when run like this:
#rqcfilter2.sh jni=t threads=16 jni=t in=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/inputs/411353989/Ecoli_10x-int.fastq.gz path=filtered rna=f trimfragadapter=t qtrim=r trimq=0 maxns=3 maq=3 minlen=51 mlf=0.33 phix=t removehuman=t removedog=t removecat=t removemouse=t khist=t removemicrobes=t sketch kapa=t clumpify=t tmpdir= barcodefilter=f trimpolyg=5 usejni=f rqcfilterdata=/databases/RQCFilterData
#Data dependencies are available at http://portal.nersc.gov/dna/microbial/assembly/bushnell/RQCFilterData.tar


sendsketch.sh in=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/inputs/411353989/Ecoli_10x-int.fastq.gz out=filtered/sketch.txt reads=2000000 name=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/inputs/411353989/Ecoli_10x-int.fastq.gz fname=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/inputs/411353989/Ecoli_10x-int.fastq.gz minprob=0.2 samplerate=1.0 merge printname0=f records=20 color=false depth depth2 unique2 unique3 volume sortbyvolume contam2=genus minprob=0.6 refhits nt translate=f sizemult=1.2 ow

sendsketch.sh in=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/inputs/411353989/Ecoli_10x-int.fastq.gz out=filtered/sketch.txt reads=2000000 name=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/inputs/411353989/Ecoli_10x-int.fastq.gz fname=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/inputs/411353989/Ecoli_10x-int.fastq.gz minprob=0.2 samplerate=1.0 merge printname0=f records=20 color=false depth depth2 unique2 unique3 volume sortbyvolume contam2=genus minprob=0.6 refhits refseq translate=f sizemult=2.5 append

sendsketch.sh in=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/inputs/411353989/Ecoli_10x-int.fastq.gz out=filtered/sketch.txt reads=2000000 name=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/inputs/411353989/Ecoli_10x-int.fastq.gz fname=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/inputs/411353989/Ecoli_10x-int.fastq.gz minprob=0.2 samplerate=1.0 merge printname0=f records=20 color=false depth depth2 unique2 unique3 volume sortbyvolume contam2=genus minprob=0.6 refhits silva translate=f local sizemult=1 minkeycount=2 append

sendsketch.sh in=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/inputs/411353989/Ecoli_10x-int.fastq.gz out=filtered/sketch.txt reads=2000000 name=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/inputs/411353989/Ecoli_10x-int.fastq.gz fname=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/inputs/411353989/Ecoli_10x-int.fastq.gz minprob=0.2 samplerate=1.0 merge printname0=f records=20 color=false depth depth2 unique2 unique3 volume sortbyvolume contam2=genus minprob=0.6 refhits prokprot translate=t sizemult=2.2 append

bbmerge.sh overwrite=true in1=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/inputs/411353989/Ecoli_10x-int.fastq.gz outa=filtered/adaptersDetected.fa reads=1m

clumpify.sh pigz=t unpigz=t zl=4 reorder in1=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/inputs/411353989/Ecoli_10x-int.fastq.gz out1=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/tmp.bd05bdca/TEMP_CLUMP_5eca3b632de8252aae19af4aaa4a_Ecoli_10x-int.anqdpht.fastq.gz passes=1

bbduk.sh ktrim=r ordered minlen=51 minlenfraction=0.33 mink=11 tbo tpe rcomp=f overwrite=true k=23 hdist=1 hdist2=1 ftm=5 pratio=G,C plen=20 phist=filtered/phist.txt qhist=filtered/qhist.txt bhist=filtered/bhist.txt gchist=filtered/gchist.txt pigz=t unpigz=t zl=4 ow=true in1=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/tmp.bd05bdca/TEMP_CLUMP_5eca3b632de8252aae19af4aaa4a_Ecoli_10x-int.anqdpht.fastq.gz out1=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/tmp.bd05bdca/TEMP_TRIM_5eca3b632de8252aae19af4aaa4a_Ecoli_10x-int.anqdpht.fastq.gz rqc=hashmap outduk=filtered/ktrim_kmerStats1.txt stats=filtered/ktrim_scaffoldStats1.txt loglog loglogout adapters=filtered/adaptersDetected.fa

rm /global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/tmp.bd05bdca/TEMP_CLUMP_5eca3b632de8252aae19af4aaa4a_Ecoli_10x-int.anqdpht.fastq.gz

seal.sh ordered overwrite=true k=31 hdist=0 pigz=t unpigz=t zl=6 in1=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/tmp.bd05bdca/TEMP_TRIM_5eca3b632de8252aae19af4aaa4a_Ecoli_10x-int.anqdpht.fastq.gz outu1=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/tmp.bd05bdca/TEMP_SPIKEIN_5eca3b632de8252aae19af4aaa4a_Ecoli_10x-int.anqdpht.fastq.gz outm=filtered/spikein.fq.gz stats=filtered/scaffoldStatsSpikein.txt loglog loglogout ref=/databases/RQCFilterData/kapatags.L40.fa.gz

rm /global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/tmp.bd05bdca/TEMP_TRIM_5eca3b632de8252aae19af4aaa4a_Ecoli_10x-int.anqdpht.fastq.gz

bbduk.sh maq=3.0,0 trimq=0.0 qtrim=r ordered overwrite=true maxns=3 minlen=51 minlenfraction=0.33 k=31 hdist=1 pigz=t unpigz=t zl=6 cf=t barcodefilter=f ow=true in1=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/tmp.bd05bdca/TEMP_SPIKEIN_5eca3b632de8252aae19af4aaa4a_Ecoli_10x-int.anqdpht.fastq.gz out1=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/tmp.bd05bdca/TEMP_FILTER1_5eca3b632de8252aae19af4aaa4a_Ecoli_10x-int.anqdpht.fastq.gz outm=filtered/synth1.fq.gz rqc=hashmap outduk=filtered/kmerStats1.txt stats=filtered/scaffoldStats1.txt trimpolygleft=5 trimpolygright=5 loglog loglogout ref=/databases/RQCFilterData/Illumina.artifacts.fa.gz,/databases/RQCFilterData/nextera_LMP_linker.fa.gz,/databases/RQCFilterData/phix174_ill.ref.fa.gz,/databases/RQCFilterData/lambda.fa.gz,/databases/RQCFilterData/pJET1.2.fa.gz

rm /global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/tmp.bd05bdca/TEMP_SPIKEIN_5eca3b632de8252aae19af4aaa4a_Ecoli_10x-int.anqdpht.fastq.gz

bbduk.sh ordered overwrite=true k=20 hdist=1 pigz=t unpigz=t zl=6 ow=true in1=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/tmp.bd05bdca/TEMP_FILTER1_5eca3b632de8252aae19af4aaa4a_Ecoli_10x-int.anqdpht.fastq.gz out1=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/tmp.bd05bdca/TEMP_FILTER2_5eca3b632de8252aae19af4aaa4a_Ecoli_10x-int.anqdpht.fastq.gz outm=filtered/synth2.fq.gz outduk=filtered/kmerStats2.txt stats=filtered/scaffoldStats2.txt loglog loglogout ref=/databases/RQCFilterData/short.fa.gz,/databases/RQCFilterData/short.fa.gz

rm /global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/tmp.bd05bdca/TEMP_FILTER1_5eca3b632de8252aae19af4aaa4a_Ecoli_10x-int.anqdpht.fastq.gz

bbmap.sh deterministic ordered quickmatch k=13 idtag=t printunmappedcount ow=true qtrim=rl trimq=10 untrim null path=/databases/RQCFilterData/commonMicrobes/ pigz=t unpigz=t zl=6 minid=.95 idfilter=.95 maxindel=3 minhits=2 bw=12 bwr=0.16 null maxsites2=10 build=1 tipsearch=0 in1=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/tmp.bd05bdca/TEMP_FILTER2_5eca3b632de8252aae19af4aaa4a_Ecoli_10x-int.anqdpht.fastq.gz outu1=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/tmp.bd05bdca/TEMP_MICROBE_5eca3b632de8252aae19af4aaa4a_Ecoli_10x-int.anqdpht.fastq.gz outm=filtered/microbes.fq.gz scafstats=filtered/commonMicrobes.txt

rm /global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/tmp.bd05bdca/TEMP_FILTER2_5eca3b632de8252aae19af4aaa4a_Ecoli_10x-int.anqdpht.fastq.gz

bbsplit.sh deterministic ordered=false k=14 idtag=t usemodulo printunmappedcount ow=true qtrim=rl trimq=10 untrim kfilter=25 maxsites=1 tipsearch=0 minratio=.9 maxindel=3 minhits=2 bw=12 bwr=0.16 fast=true maxsites2=10 build=1 ef=0.03 outm=filtered/human.fq.gz path=/databases/RQCFilterData/mousecatdoghuman/ refstats=filtered/refStats.txt pigz=t unpigz=t zl=9 forcereadonly in1=/global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/tmp.bd05bdca/TEMP_MICROBE_5eca3b632de8252aae19af4aaa4a_Ecoli_10x-int.anqdpht.fastq.gz outu1=filtered/Ecoli_10x-int.anqdpht.fastq.gz

rm /global/cfs/cdirs/m3408/aim2/rqc_filter/cromwell-executions/jgi_rqcfilter/b5862430-57cf-46d3-bd80-9d411e7fb375/call-rqcfilter/shard-0/tmp.bd05bdca/TEMP_MICROBE_5eca3b632de8252aae19af4aaa4a_Ecoli_10x-int.anqdpht.fastq.gz

bbmerge.sh loose overwrite=true in1=filtered/Ecoli_10x-int.anqdpht.fastq.gz ihist=filtered/ihist_merge.txt outc=filtered/cardinality.txt pigz=t unpigz=t zl=9 adapters=filtered/adaptersDetected.fa mininsert=25 ecct extend2=100 rem k=62 prefilter prealloc loglog

kmercountexact.sh overwrite=true in1=filtered/Ecoli_10x-int.anqdpht.fastq.gz khist=filtered/khist.txt peaks=filtered/peaks.txt unpigz=t gchist
